LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-20-2012, 11:50 PM   #1
psuliin
LQ Newbie
 
Registered: Dec 2008
Posts: 19

Rep: Reputation: 0
"Unable to Calculate Upgrade"


I'm running Ubuntu Oneiric on an HP Mini netbook. After the standard installation I added the XFCE desktop to lighten the load.

I'm having some issues with upgrades. Consistently I get this error message:

************
Could not calculate the upgrade
An unresolvable problem occurred while calculating the upgrade:
The package 'ubuntu desktop' is marked for removal but it is in the removal blacklist.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu

This is most likely a transient problem, please try again later.
************

Unfortunately it's not a transient problem. The system works fine, except for this, so the installation of Ubuntu seems to have gone fine. I'm guessing that it has something to do with installing XFCE, but I don't know how to confirm that or what to do about it.

Any ideas on fixing it?
 
Old 02-21-2012, 12:00 PM   #2
liberalchrist
Member
 
Registered: Jun 2011
Location: Chester, SC
Distribution: Slackware Current
Posts: 123

Rep: Reputation: 26
If you are committed to XFCE, then removing the Ubuntu desktop from the blacklist should be OK. There is probably some stability issue if that particular package is allowed to upgrade. I don't have the blacklist instructions, though. It's probably a dpkg command.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
"dpkg error in --configure" in most all (508) programs after "apt-get dist-upgrade" fluffymuffins Debian 3 08-09-2010 04:47 AM
lilo says, "L 01 01 01" and fdisk says, "Unable to seek on /dev/hda1" clausawits Linux - General 3 12-31-2007 10:33 PM
upgrade to kernel 2.6.16.1 : "make bzImage" print "parse error" math_physics Red Hat 2 06-30-2007 12:04 AM
Common problems explained: "kernel panic - not syncing", "unable to mount..." sundialsvcs Linux - Newbie 2 03-01-2006 01:17 PM
Upgrade from FC2 to FC3 broke audio -- "Unable to reset OSS driver" ericcarlson Fedora 1 01-20-2005 07:11 AM


All times are GMT -5. The time now is 11:56 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration